Module | EventsHelper
In: | app/helpers/events_helper.rb

### Methods

coverage_and_streaming_for

### Public Instance methods

coverage_and_streaming_for(event)

Muestra la información sobre la cobertura que de Irekia al evento.

[Source]

        # File app/helpers/events_helper.rb, line 4
     4:   def coverage_and_streaming_for(event)
     5:     if event.irekia_coverage? || event.streaming_live?
     6:       cov_types = []
     7:       %w(irekia_coverage_audio irekia_coverage_video irekia_coverage_photo streaming_live).each do |cov_type|
     8:         cov_types << t("events.#{cov_type}") if event.send("#{cov_type}?")
     9:       end
    10:       cov_types_str = cov_types.length > 1 ? "#{cov_types[0..-2].join(', ')} #{t('y')} #{cov_types[-1]}" : cov_types.join(', ')
    11:       content_tag :p, :class => "coverage" do
    12:         t('events.irekia_coverage', :cov_types => cov_types_str)
    13:       end
    14:     end
    15:   end

[Validate]